> ## Documentation Index
> Fetch the complete documentation index at: https://cantonfoundation-splice-openapi-manual-pages-preview.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve an instrument's metadata

<div class="x2mdx-ref-page x2mdx-ref-page--operation x2mdx-ref-page--manual-api" />

<div class="x2mdx-ref-hero">
  <p class="x2mdx-ref-eyebrow">Token Metadata Service</p>

  <h1 class="x2mdx-ref-title">Retrieve an instrument's metadata</h1>

  <div class="x2mdx-ref-badges">
    <span class="x2mdx-ref-badge x2mdx-ref-badge--protocol">OpenAPI</span>

    <a class="x2mdx-ref-badge x2mdx-ref-badge--added" href="#history-added-0-5-10">Added 0.5.10</a>

    <a class="x2mdx-ref-badge x2mdx-ref-badge--changed" href="#history-updated-0-6-12">Updated 0.6.12</a>
  </div>
</div>

Retrieve an instrument's metadata.

## Protocol Details

<div class="x2mdx-ref-meta-grid">
  <div class="x2mdx-ref-meta-item">
    <span class="x2mdx-ref-meta-label">Operation ID</span>
    <span class="x2mdx-ref-meta-value">getInstrument</span>
  </div>

  <div class="x2mdx-ref-meta-item">
    <span class="x2mdx-ref-meta-label">Published</span>
    <span class="x2mdx-ref-meta-value">0.7.5</span>
  </div>

  <div class="x2mdx-ref-meta-item">
    <span class="x2mdx-ref-meta-label">Specification</span>
    <span class="x2mdx-ref-meta-value"><a href="/openapi/splice/token-standard/token-metadata-v1.yaml">Download OpenAPI</a></span>
  </div>
</div>

## Inputs

### Path parameters

<ParamField path="instrumentId" type="string" required />

## Outputs

### 200

<div class="x2mdx-ref-badges">
  <span class="x2mdx-ref-badge x2mdx-ref-badge--neutral">application/json</span>
</div>

<ResponseField name="id" type="string" required>
  The unique identifier assigned by the admin to the instrument.
</ResponseField>

<ResponseField name="name" type="string" required>
  The display name for the instrument recommended by the instrument admin. This is not necessarily unique.
</ResponseField>

<ResponseField name="symbol" type="string" required>
  The symbol for the instrument recommended by the instrument admin. This is not necessarily unique.
</ResponseField>

<ResponseField name="totalSupply" type="string">
  Decimal encoded current total supply of the instrument.
</ResponseField>

<ResponseField name="totalSupplyAsOf" type="string (date-time)">
  The timestamp when the total supply was last computed.
</ResponseField>

<ResponseField name="decimals" type="integer (int8)" required default="10">
  The number of decimal places used by the instrument. Must be a number between 0 and 10, as the Daml interfaces represent holding amounts as `Decimal` values, which use 10 decimal places and are precise for 38 digits. Setting this to 0 means that the instrument can only be held in whole units. This number SHOULD be used for display purposes in a wallet to decide how many decimal places to show and accept when displaying or entering amounts.
</ResponseField>

<ResponseField name="paused" type="boolean" default="False">
  Indicates whether the instrument is currently paused. A paused instrument cannot be transferred or allocated.
</ResponseField>

<ResponseField name="pauseInfo" type="PauseInfo">
  Additional information about the instrument pause state.
</ResponseField>

<ResponseField name="supportedApis" type="SupportedApis" required>
  Map from token standard API name to the minor version of the API supported, e.g., splice-api-token-metadata-v1 -> 1 where the `1` corresponds to the minor version.
</ResponseField>

<ResponseField name="showAccountInputFields" type="boolean" default="False">
  Informs wallets whether the instrument supports non-basic accounts and the wallet should thus show input fields for both the account provider and the account id in input forms for transfers and allocations. Note that wallets should always show non-null account providers and account ids when displaying transfers and allocations. This property is deprecated in favor of the more fine-grained `accountInputFieldsToShow` property.
</ResponseField>

<ResponseField name="accountInputFieldsToShow" type="AccountInputFieldsToShow">
  Which account input field(s) wallets should show in forms.
</ResponseField>

### 404

<div class="x2mdx-ref-badges">
  <span class="x2mdx-ref-badge x2mdx-ref-badge--neutral">application/json</span>
</div>

<ResponseField name="error" type="string" required />

### 500

<div class="x2mdx-ref-badges">
  <span class="x2mdx-ref-badge x2mdx-ref-badge--neutral">application/json</span>
</div>

<ResponseField name="error" type="string" required />

## History

<div class="x2mdx-ref-history" aria-label="Reference history">
  <div class="x2mdx-ref-history-event x2mdx-ref-history-event--changed" id="history-updated-0-6-12">
    <div class="x2mdx-ref-history-event-head">
      <span class="x2mdx-ref-history-event-label">Updated</span>
      <code class="x2mdx-ref-history-event-version">0.6.12</code>
    </div>

    <p class="x2mdx-ref-history-event-detail">The GET /registry/metadata/v1/instruments/\{instrumentId} operation was updated in this snapshot.</p>
  </div>

  <div class="x2mdx-ref-history-event x2mdx-ref-history-event--changed" id="history-updated-0-6-11">
    <div class="x2mdx-ref-history-event-head">
      <span class="x2mdx-ref-history-event-label">Updated</span>
      <code class="x2mdx-ref-history-event-version">0.6.11</code>
    </div>

    <p class="x2mdx-ref-history-event-detail">The GET /registry/metadata/v1/instruments/\{instrumentId} operation was updated in this snapshot.</p>
  </div>

  <div class="x2mdx-ref-history-event x2mdx-ref-history-event--introduced" id="history-added-0-5-10">
    <div class="x2mdx-ref-history-event-head">
      <span class="x2mdx-ref-history-event-label">Added</span>
      <code class="x2mdx-ref-history-event-version">0.5.10</code>
    </div>
  </div>
</div>

<RequestExample>
  ```bash Request theme={"theme":{"light":"github-light","dark":"github-dark"}}
  curl --request GET \
    --url 'https://example.com/registry/metadata/v1/instruments/{instrumentId}'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 response theme={"theme":{"light":"github-light","dark":"github-dark"}}
  {
    "id": "string",
    "name": "string",
    "symbol": "string",
    "totalSupply": "string",
    "totalSupplyAsOf": "2026-01-01T00:00:00Z",
    "decimals": 10,
    "paused": false,
    "pauseInfo": {
      "reason": "string",
      "until": "2026-01-01T00:00:00Z"
    },
    "supportedApis": {},
    "showAccountInputFields": false,
    "accountInputFieldsToShow": [
      {}
    ]
  }
  ```
</ResponseExample>
